Page MenuHomePhabricator

Enable unexpected successes?
Closed, ResolvedPublic

Description

test_method_args (tests.tools_tests.TestPythonArgSpec)
Test getargspec on args. ...  unexpected success ok
test_method_kwargs (tests.tools_tests.TestPythonArgSpec)
Test getargspec on kwargs. ...  unexpected success ok
test_method_varargs (tests.tools_tests.TestPythonArgSpec)
Test getargspec on varargs. ...  unexpected success ok
test_method_varkwargs (tests.tools_tests.TestPythonArgSpec)
Test getargspec on varkwargs. ...  unexpected success ok
test_method_vars (tests.tools_tests.TestPythonArgSpec)
Test getargspec on vars. ...  unexpected success ok
test_many_continuations_limited (tests.api_tests.TestPropertyGenerator)
Test PropertyGenerator with many limited props. ...  unexpected success ok
test_two_continuations_limited (tests.api_tests.TestPropertyGenerator)
Test PropertyGenerator with many limited props and continuations. ...  49.484s  unexpected success ok
test_check_if_cached_dews (tests.proofreadpage_tests.TestIndexPageMappings)
Test if cache is checked and loaded properly on wikisource:de ...  unexpected success ok
test_check_if_cached_enws (tests.proofreadpage_tests.TestIndexPageMappings)
Test if cache is checked and loaded properly on wikisource:en ...  unexpected success ok
test_check_if_cached_frws (tests.proofreadpage_tests.TestIndexPageMappings)
Test if cache is checked and loaded properly on wikisource:fr ...  unexpected success ok
test_get_labels_dews (tests.proofreadpage_tests.TestIndexPageMappings)
Test IndexPage page get_label_from_* functions on wikisource:de ...  unexpected success ok
test_get_labels_enws (tests.proofreadpage_tests.TestIndexPageMappings)
Test IndexPage page get_label_from_* functions on wikisource:en ...  unexpected success ok
test_get_labels_frws (tests.proofreadpage_tests.TestIndexPageMappings)
Test IndexPage page get_label_from_* functions on wikisource:fr ...  unexpected success ok
test_get_page_and_number_dews (tests.proofreadpage_tests.TestIndexPageMappings)
Test IndexPage page get_page_number functions on wikisource:de ...  unexpected success ok
test_get_page_and_number_enws (tests.proofreadpage_tests.TestIndexPageMappings)
Test IndexPage page get_page_number functions on wikisource:en ...  unexpected success ok
test_get_page_and_number_frws (tests.proofreadpage_tests.TestIndexPageMappings)
Test IndexPage page get_page_number functions on wikisource:fr ...  unexpected success ok
test_num_pages_dews (tests.proofreadpage_tests.TestIndexPageMappings)
Test num_pages property on wikisource:de ...  unexpected success ok
test_num_pages_enws (tests.proofreadpage_tests.TestIndexPageMappings)
Test num_pages property on wikisource:en ...  unexpected success ok
test_num_pages_frws (tests.proofreadpage_tests.TestIndexPageMappings)
Test num_pages property on wikisource:fr ...  unexpected success ok
test_page_gen_dews (tests.proofreadpage_tests.TestIndexPageMappings)
Test Index page generator on wikisource:de ... Retrieving 1 pages from wikisource:de.
Retrieving 1 pages from wikisource:de.
 unexpected success ok
test_page_gen_enws (tests.proofreadpage_tests.TestIndexPageMappings)
Test Index page generator on wikisource:en ... Retrieving 1 pages from wikisource:en.
Retrieving 1 pages from wikisource:en.
 unexpected success ok
test_page_gen_frws (tests.proofreadpage_tests.TestIndexPageMappings)
Test Index page generator on wikisource:fr ... Retrieving 1 pages from wikisource:fr.
Retrieving 1 pages from wikisource:fr.
 unexpected success ok
test_url_image (tests.proofreadpage_tests.TestProofreadPageValidSite)
Test fetching of url image of the scan of ProofreadPage. ...  unexpected success ok
test_ecoreality (tests.site_detect_tests.APIHiddenTestCase)
Test detection of MediaWiki sites for www.EcoReality.org. ... WARNING: Http response status 404
 unexpected success ok
test_pageTextPost (tests.imagecopy_tests.CommonsHelperMethodTest)
Test scripts.imagecopy.pageTextPost() method. ...  unexpected success ok
test_valid_isbn_failing (tests.isbn_tests.TestCosmeticChangesISBN)
Test ISBN. ...  unexpected success ok

Related Objects

Event Timeline

Dvorapa created this task.Nov 18 2018, 10:40 PM
Dvorapa updated the task description. (Show Details)Nov 18 2018, 11:55 PM
Dvorapa updated the task description. (Show Details)Nov 18 2018, 11:58 PM
Xqt triaged this task as Medium priority.Nov 19 2018, 5:56 AM

/ some of them could be expected to have unexpected success sometimes or in some machine, but some of them are maybe just fixed already? /

Mpaa added a subscriber: Mpaa.Nov 19 2018, 8:09 PM

proofreadpage_tests are still waiting for upstream fixes.

Xqt added a comment.Sep 21 2019, 4:41 PM

There is a different behaviour between Python 2 and 3. Python 3 counts an unexcpected success as failure whereas Python 2 passes.

Xqt closed this task as Resolved.Sun, Jan 19, 2:20 PM
Xqt claimed this task.

I think most of them are fixed already. They would fail with Python 3 otherwise.